All apps are now compatible with iOS8

All the recent updates to Black Tablet apps have now been approved by Apple and all run just fine on the shiny new iOS8.

Dicewords will run on iOS 6 and upwards, but the others require iOS7 as a minimum.

Leave a Reply

Your email address will not be published. Required fields are marked *